Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.io
Class CinemaCommandLineParser

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.io.CinemaCommandLineParser

All Implemented Interfaces:
  AlignmentEventProvider

public class CinemaCommandLineParser
extends CinemaModule

CinemaCommandLineParser.java This module is responsible for parsing the command line to Cinema and invoking what ever actions are necessary.

(PENDING: JNS) 28-11-00 currently this is all hard coded and will need to be altered and recompiled each time the command line options are changed.

Created: Mon Nov 27 17:36:39 2000

Version:
  $Id: CinemaCommandLineParser.java,v 1.7 2001/05/24 15:39:13 lord Exp $
Author:
  Julian Selley

Constructor Summary
`CinemaCommandLineParser()`

Method Summary
`String` | `getVersion()` Returns the version of this module.
`void` | `load()` The method called for the load of this module.
`void` | `openFile(String filename, String parser)` Opens a declared file in Cinema.
`void` | `start()` The method called externally to initiate the modules function.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, destroy, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getRequiredIdentifiers, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaCommandLineParser

    public CinemaCommandLineParser()

Method Detail

### load

    public void load()
              throws ModuleException

  Description copied from class: `Module`
  The method called for the load of this module.

  Overrides:
    `load` in class `Module`
    `ModuleException`

### start

    public void start()

  Description copied from class: `Module`
  The method called externally to initiate the modules function.

  Overrides:
    `start` in class `Module`

### openFile

    public void openFile(String filename,
                         String parser)

  Opens a declared file in Cinema.

  Parameters:
    `filename` - the filename
    `parser` - the parser to use

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD